View Issue Details

IDProjectCategoryView StatusLast Update
0000227Siril[All Projects] Sirilpublic2018-03-19 11:40
ReportervinvinAssigned Tolock42 
PrioritynormalSeveritytweakReproducibilityN/A
Status resolvedResolutionfixed 
Product Version0.9.8 
Target Version0.9.9Fixed in Version0.9.9 
Summary0000227: Parallelize min and max search in one pass
DescriptionOpenMP offers some reduction operators for min and max. Using them, parallelizing min and max search could be easily done on data and not on layers, speeding up the one-layer case. But using them, we'd have to do a pass for min and a pass for max on the same data.
I'd like to implement a custom reduction operator that gets min and max in one parallelized pass, it's easy to do: https://bisqwit.iki.fi/story/howto/openmp/#TheReductionClause_2

Warning: in stacking the max operator is already used, it's not only about image_find_minmax().
TagsNo tags attached.

Activities

lock42

2018-03-19 11:34

administrator   ~0000512

Fix committed to Siril (2158).

Related Changesets

Siril: 0.9.9 r2146

2018-03-17 12:02:26

vinvin

Details
Removing min and max from fits, using the stats instead.
This probably fixes 0000205 (stats caching).
Now the question for issue 0000227 (min max reduction in one pass) is how fast is the current gsl implementation of min max search (gsl_stats_ushort_minmax()) compared to openmp?
Affected Issues
0000205, 0000227
mod - /branches/0.9.9/src/algos/colors.c
mod - /branches/0.9.9/src/algos/cosmetic_correction.c
mod - /branches/0.9.9/src/algos/star_finder.c
mod - /branches/0.9.9/src/algos/statistics.c
mod - /branches/0.9.9/src/algos/statistics.h
mod - /branches/0.9.9/src/compositing/compositing.c
mod - /branches/0.9.9/src/core/command.c
mod - /branches/0.9.9/src/core/siril.c
mod - /branches/0.9.9/src/core/siril.h
mod - /branches/0.9.9/src/core/utils.c
mod - /branches/0.9.9/src/gui/callbacks.c
mod - /branches/0.9.9/src/gui/histogram.c
mod - /branches/0.9.9/src/gui/statistics_list.c
mod - /branches/0.9.9/src/io/image_format_fits.c
mod - /branches/0.9.9/src/io/sequence.c
mod - /branches/0.9.9/src/io/single_image.c
mod - /branches/0.9.9/src/io/single_image.h
mod - /branches/0.9.9/src/stacking/normalization.c
mod - /branches/0.9.9/src/stacking/stacking.c

Siril: 0.9 r2158

2018-03-19 11:34:36

lock42

Details
Fix 0000227 Affected Issues
0000227
mod - /branches/0.9/src/algos/statistics.c

Issue History

Date Modified Username Field Change
2018-01-07 00:40 vinvin New Issue
2018-01-07 00:40 vinvin Assigned To => vinvin
2018-01-07 00:40 vinvin Status new => assigned
2018-03-17 12:02 vinvin Changeset attached => Siril 0.9.9 r2146
2018-03-17 12:06 vinvin Assigned To vinvin =>
2018-03-17 16:21 lock42 Assigned To => lock42
2018-03-19 11:34 lock42 Changeset attached => Siril 0.9 r2158
2018-03-19 11:34 lock42 Note Added: 0000512
2018-03-19 11:34 lock42 Status assigned => resolved
2018-03-19 11:34 lock42 Resolution open => fixed
2018-03-19 11:40 lock42 Product Version => 0.9.8
2018-03-19 11:40 lock42 Fixed in Version => 0.9.9